MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends
sc::DistSCVector Class Reference
Inheritance diagram for sc::DistSCVector:

List of all members.

## Public Member Functions

| DistSCVector (const RefSCDimension &, DistSCMatrixKit *)
void | assign_p (const double *)
void | assign_v (SCVector *a)
void | convert (double *v) const
| Assign v[i] to element i for all i.
void | convert (SCVector *)
| Convert an SCVector of a different specialization to this specialization and possibly accumulate the data.
void | set_element (int, double)
| Set element i to val.
void | accumulate_element (int, double)
| Add val to element i.
double | get_element (int) const
| Return the value of element i.
void | accumulate (const SCVector *)
| Sum v into this.
void | accumulate (const SCMatrix *m)
| Sum m into this. One of m's dimensions must be 1.
double | scalar_product (SCVector *)
| Return the dot product.
void | accumulate_product_rv (SCMatrix *, SCVector *)
void | element_op (const Ref< SCElementOp > &)
| Perform the element operation op on each element of this.
void | element_op (const Ref< SCElementOp2 > &, SCVector *)
void | element_op (const Ref< SCElementOp3 > &, SCVector *, SCVector *)
void | vprint (const char *title=0, std::ostream &out=ExEnv::out0(), int=10) const
Ref< SCMatrixSubblockIter > | local_blocks (SCMatrixSubblockIter::Access)
| Returns iterators for the local (rapidly accessible) blocks used in this vector.
Ref< SCMatrixSubblockIter > | all_blocks (SCMatrixSubblockIter::Access)
| Returns iterators for the all blocks used in this vector.
Ref< DistSCMatrixKit > | skit ()

## Protected Member Functions

void | init_blocklist ()
double * | find_element (int i) const
int | element_to_node (int i) const
int | block_to_node (int) const
Ref< SCMatrixBlock > | block_to_block (int) const
void | error (const char *)

## Protected Attributes

Ref< SCMatrixBlockList > | blocklist

## Friends

class | DistSCMatrix
class | DistSymmSCMatrix
class | DistDiagSCMatrix

## Member Function Documentation

void sc::DistSCVector::convert | ( | SCVector * |  | ) | `[virtual]`

Convert an SCVector of a different specialization to this specialization and possibly accumulate the data.

Reimplemented from sc::SCVector.

Ref<SCMatrixSubblockIter> sc::DistSCVector::local_blocks | ( | SCMatrixSubblockIter::Access |  | ) | `[virtual]`

Returns iterators for the local (rapidly accessible) blocks used in this vector.

Only one iterator is allowed for a matrix is it has Accum or Write access is allowed. Multiple Read iterators are permitted.

Implements sc::SCVector.

The documentation for this class was generated from the following file:

- dist.h